DtSearchMergeResults(library call)

NAME
DtSearchMergeResults — Merge two DtSearch results lists into one

SYNOPSIS

#include &<Dt/Search.h>
int DtSearchMergeResults(
DtSrResult **targlist,
DtSrResult **srclist);

DESCRIPTION

DtSearchMergeResults merges the srclist results list into the targlist list using proximity for sort order, and sets the srclist source list pointer to NULL.

This function is used to merge results from separate database searches for presentation to the user as a single results list.

It presumes both lists are initially sorted by ascending proximity. It does nothing if source list is empty and returns DtSrOK. It moves the source list as is to the target list if the target list is empty and returns DtSrOK.

ARGUMENTS

srclist
    Specifies the results list to be merged into the target list.

targlist
    Specifies the results list into which the source list is to be merged.

RETURN VALUE

DtSearchMergeResults returns DtSrERROR if either the srclist pointer or the srclist pointer is NULL. Otherwise, it returns DtSrOK, indicating a successful merge.

SEE ALSO

DtSrAPI(3), DtSearchQuery(3), DtSearchSortResults(3), DtSearchFreeResults(3)